function label = generatePlotLabel(v, dv)
    unit = 'Hz';
    
    if v <= 0.0
        v = NaN;
        dv = NaN;
        unit = 'Hz';
    elseif v > 0.0 && Helpers.determineOrderOfMagnitude(v) > 2
        v = v / 1e3; % in kHz
        dv = dv / 1e3; % in kHz
        unit = 'kHz';
    end
    
    label = sprintf('\x03BD = %.1f \x00B1 %.2f %s', v, dv, unit);
end
